# 数据中台-人员组织结构数据表设计

### 1、集团 org_group

| 字段   | 字段名称 | 非空 | 备注                       |
| ------ | -------- | ---- | -------------------------- |
| id     | 主键     | Y    | 全局唯一                   |
| code   | 编码     | Y    | 全局唯一，生成后不允许更改 |
| name   | 名称     | Y    | 集团名称（租户的名称）     |
| remark | 备注     |      |                            |



### 2、公司 org_company

| 字段       | 字段名称       | 非空 | 备注     |
| ---------- | -------------- | ---- | -------- |
| id         | 主键           | Y    | 全局唯一 |
| code       | 公司编码       |      |          |
| name       | 公司名称       |      |          |
| group_code | 集团编码       | Y    |          |
| parent_id  | 上级公司ID     |      |          |
| projects   | 公司关联的项目 |      |          |
| remark     | 备注           |      |          |



### 3、项目 org_project

| 字段       | 字段名称       | 非空 | 备注     |
| ---------- | -------------- | ---- | -------- |
| id         | 主键           | Y    | 全局唯一 |
| name       | 项目名称       | Y    |          |
| group_code | 集团编码       |      |          |
| companies  | 项目关联的公司 |      |          |
| remark     | 备注           |      |          |



### 4、部门 org_dept

| 字段           | 字段名称                           | 非空 | 备注            |
| -------------- | ---------------------------------- | ---- | --------------- |
| id             | ID                                 | Y    | 全局唯一        |
| dept_code      | 部门分类编码                       | Y    |                 |
| code           | 部门编码                           |      |                 |
| name           | 名称                               | Y    |                 |
| parent_dept_id | 上级部门ID                         | N    | “0”表示顶级部门 |
| company_id     | 所属公司                           | Y    |                 |
| resource_from  | 部门来源,null或0-FM新建,1-新城同步 |      |                 |
| group_code     | 所属集团编码                       | Y    |                 |
| manager        | 部门负责人                         |      |                 |
| remark         | 备注                               |      |                 |



### 5、人员账号 org_user

| 字段          | 字段名称                                             | 非空 | 备注           |
| ------------- | ---------------------------------------------------- | ---- | -------------- |
| id            | ID                                                   | Y    | 全局唯一       |
| name          | 姓名                                                 |      |                |
| id_number     | 员工编号                                             |      |                |
| username      | 账号                                                 |      |                |
| password      | 密码                                                 |      |                |
| gender        | 性别                                                 |      | 引用数据编码表 |
| head_portrait | 头像                                                 |      |                |
| birthday      | 生日                                                 |      |                |
| phone         | 手机号                                               |      |                |
| mail          | 邮箱                                                 |      |                |
| other_account | 第三方账号                                           |      |                |
| user_from     | 账号来源,0-FM账号,1-苏宁账号,2-万达账号,3-新城OA账号 |      |                |
| isAdmin       | 是否为PERSAGYADMIN,0-不是,1-是                       |      |                |
| status        | 状态                                                 | Y    | 是否有效       |



### 6、部门分类 org_dept_classify

| 字段       | 字段名称     | 非空 | 备注     |
| ---------- | ------------ | ---- | -------- |
| id         | 主键         | Y    | 全局唯一 |
| code       | 部门分类编码 |      |          |
| name       | 名称         | Y    |          |
| parent_id  | 父级分类ID   |      |          |
| group_code | 所属集团编码 | Y    |          |
| order_num  | 排序         |      |          |
| remark     | 备注         |      |          |



### 7、岗位分类org_job_classify

| 字段       | 字段名称     | 非空 | 备注     |
| ---------- | ------------ | ---- | -------- |
| id         | 主键         | Y    | 全局唯一 |
| code       | 岗位分类编码 |      |          |
| name       | 名称         | Y    |          |
| group_code | 所属集团编码 | Y    |          |
| order_num  | 排序         |      |          |



### 8、岗位 org_job

| 字段            | 字段名称                           | 非空 | 备注     |
| --------------- | ---------------------------------- | ---- | -------- |
| id              | ID                                 | Y    | 全局唯一 |
| code            | 岗位编码                           |      |          |
| name            | 名称                               |      |          |
| group_code      | 所属集团编码                       | Y    |          |
| user_id         | 账号ID                             | Y    |          |
| dept_id         | 部门ID                             | Y    |          |
| job_classify_id | 岗位类型                           | Y    |          |
| resource_from   | 部门来源,null或0-FM新建,1-新城同步 |      |          |
| status          | 状态                               | Y    |          |



### 9、应用org_application

| 字段          | 字段名称                                                     | 非空 | 备注                   |
| ------------- | ------------------------------------------------------------ | ---- | ---------------------- |
| id            | ID                                                           | Y    | 全局唯一               |
| code          | 编码                                                         | Y    | 全局唯一               |
| name          | 应用名称                                                     | Y    |                        |
| category      | 所属产品大类                                                 | Y    | 标识产品线，引用编码表 |
| app_order     | 排序                                                         | Y    |                        |
| menu_icon_key | 菜单小图标                                                   |      |                        |
| icon_key      | 小图标的Key                                                  |      |                        |
| description   | 描述标签                                                     |      |                        |
| obj_type      | 标签类型,<br />g1-默认分组,g2-自定义分组,g3-APP端默认分组,<br />g4-APP端自定义分组,g5-BIM默认分组,<br />g6-BIM自定义分组标签 |      | 引用数据字典           |



### 10、功能org_function

| 字段           | 字段名称                                                     | 非空 | 备注         |
| -------------- | ------------------------------------------------------------ | ---- | ------------ |
| id             | ID                                                           | Y    | 全局唯一     |
| code           | 编码                                                         | Y    | 全局唯一     |
| name           | 功能名称                                                     | Y    |              |
| type           | 功能类型                                                     |      | 从数据字典取 |
| parent_code    | 父节点                                                       |      |              |
| app_code       | 所属应用                                                     | Y    | 应用编码     |
| function_url   | 功能跳转URL                                                  | N    |              |
| icon           | 图标                                                         | N    |              |
| description    | 功能描述                                                     |      |              |
| function_alias | 功能别名,页面展示菜单时优先取该字段值,如果为空才取name字段的值 |      |              |
| obj_type       | 对象类型,f2-PC端功能F,f3-APP端功能F                          |      |              |
| func_order     | 排序                                                         | Y    |              |



### 11、岗位分类与应用功能关系 org_job_classify_rel

| 字段            | 字段名称     | 非空 | 备注     |
| --------------- | ------------ | ---- | -------- |
| id              | ID           | Y    | 全局唯一 |
| job_classify_id | 岗位分类id   | Y    |          |
| group_code      | 所属集团编码 | Y    |          |
| app_id          | 应用id       |      |          |
| function_id     | 功能id       |      |          |

